Bug 525763 - cumulative statistics is constantly growing on redraws
Summary: cumulative statistics is constantly growing on redraws
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pg_top
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alexey Torkhov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 16:20 UTC by Alexey Torkhov
Modified: 2009-10-10 20:26 UTC (History)
1 user (show)

Fixed In Version: 3.6.2-8.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 14:22:43 UTC


Attachments (Terms of Use)

Description Alexey Torkhov 2009-09-25 16:20:46 UTC
Description of problem:
Cumulative statistics is constantly growing on every redraw even if no queries were made.

Version-Release number of selected component (if applicable):
pg_top-3.6.2-6.fc12.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Create test database with test table. Make a query to it.
2. Start pg_top connecting to test database (-dtest).
3. Switch to cumulative statistics (press 'R', then 't').
4. Wait for redraw - press a key for redraw, without making a query.
  
Actual results:
Statistics grows.

Expected results:
Statistics stays the same.

Additional info:

Comment 1 Fedora Update System 2009-09-25 21:25:49 UTC
pg_top-3.6.2-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pg_top-3.6.2-8.fc11

Comment 2 Fedora Update System 2009-09-25 21:35:15 UTC
pg_top-3.6.2-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pg_top-3.6.2-8.fc10

Comment 3 Fedora Update System 2009-09-25 21:37:54 UTC
pg_top-3.6.2-8.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pg_top-3.6.2-8.el5

Comment 4 Fedora Update System 2009-09-25 21:39:41 UTC
pg_top-3.6.2-8.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/pg_top-3.6.2-8.el4

Comment 5 Fedora Update System 2009-09-28 18:22:28 UTC
pg_top-3.6.2-8.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pg_top'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0526

Comment 6 Fedora Update System 2009-09-28 18:23:57 UTC
pg_top-3.6.2-8.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pg_top'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0544

Comment 7 Fedora Update System 2009-09-29 14:22:39 UTC
pg_top-3.6.2-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-09-29 14:25:53 UTC
pg_top-3.6.2-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-10-10 20:25:07 UTC
pg_top-3.6.2-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-10-10 20:26:30 UTC
pg_top-3.6.2-8.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.